import 'dart:convert';
import 'dart:io';
import 'package:crypto/crypto.dart';

class SmsBao {
  String _user;
  String _password;

  Map<String, String> codeMap = {
    '0': '短信发送成功',
    '-1': '参数不全',
    '-2': '服务器空间不支持,请确认支持curl或者fsocket,联系您的空间商解决或者更换空间',
    '30': '密码错误',
    '40': '账号不存在',
    '41': '余额不足',
    '42': '账户已过期',
    '43': 'IP地址限制',
    '50': '内容含有敏感词',
    '51': '手机号码不正确'
  };

  SmsBao(String user, String password) {
    _user = user;
    _password = password;
  }

  String _md5(String password) {
    return md5.convert(utf8.encode(password)).toString();
  }

  send_code(String phone, String content) async {
    try {
      var httpClient = HttpClient();
      var uri = Uri.http('api.smsbao.com', '/sms',
          {'u': _user, 'p': _md5(_password), 'm': phone, 'c': content});
      var request = await httpClient.getUrl(uri);
      var response = await request.close();
      var responseBody = await response.transform(utf8.decoder).join();
      return {"code": responseBody, "msg": codeMap[responseBody]};
    } catch (e) {
      return {"code": "", "msg": e.toString()};
    }
  }
}