import "package:test/test.dart";
import "package:dart_smsbao/dart_smsbao.dart";

void main()  {
    test("帐号缺失", () async {
        String user = "";
        String password = "";
        String phone = "";
        String content = "";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        expect(result["code"], '-1');
        expect(result["msg"], '参数不全');
    });

    test("密码缺失", () async {
        String user = "x";
        String password = "";
        String phone = "";
        String content = "";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        expect(result["code"], '-1');
        expect(result["msg"], '参数不全');
    });

    test("手机号缺失", () async {
        String user = "x";
        String password = "x";
        String phone = "";
        String content = "";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        expect(result["code"], '-1');
        expect(result["msg"], '参数不全');
    });

    test("内容缺失", () async {
        String user = "x";
        String password = "x";
        String phone = "x";
        String content = "";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        expect(result["code"], '-1');
        expect(result["msg"], '参数不全');
    });

// 错误次数过多会封ip
//    test("密码错误", () async {
//        String user = "17134503140";
//        String password = "17134503141";
//        String phone = "x";
//        String content = "x";
//        SmsBao sms = SmsBao(user, password);
//        Map<String, String> result = await sms.send_code(phone, content);
//        expect(result["code"], '30');
//        expect(result["msg"], '密码错误');
//    });

    test("手机号码错误", () async {
        String user = "17134503140";
        String password = "17134503140";
        String phone = "28217254243";
        String content = "x";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        print(result);
        expect(result["code"], '51');
        expect(result["msg"], '手机号码不正确');
    });

    test("手机号码错误", () async {
        String user = "17134503140";
        String password = "17134503140";
        String phone = "28217254243";
        String content = "x";
        SmsBao sms = SmsBao(user, password);
        Map<String, String> result = await sms.send_code(phone, content);
        print(result);
        expect(result["code"], '51');
        expect(result["msg"], '手机号码不正确');
    });
}